Debian Bug report logs - #241823
perl 5.8.3-3 kills openwebmail

version graph

Package: openwebmail; Maintainer for openwebmail is (unknown);

Reported by: Pirate <pirate@trendal.hu>

Date: Sat, 3 Apr 2004 08:18:02 UTC

Severity: normal

Fixed in version openwebmail/2.30-8

Done: Sergio Rua <srua@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>, unknown-package@qa.debian.org:
Bug#241823; Package perl 5.8.3-3. Full text and rfc822 format available.

Acknowledgement sent to Pirate <pirate@trendal.hu>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>, unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pirate <pirate@trendal.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl 5.8.3-3 kills openwebmail
Date: Sat, 03 Apr 2004 10:04:29 +0200
Package: perl 5.8.3-3
Version: perl 5.8.3-3, libperl 5.8.3-3, other perl packages with version 5.8.3-3
Severity: normal



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.24
Locale: LANG=C, LC_CTYPE=C

The new Perl package renders the Openwebmail system unusable!



Bug reassigned from package `perl 5.8.3-3' to `perl'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#241823; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Brendan O'Dea <bod@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 241823@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: Pirate <pirate@trendal.hu>, 241823@bugs.debian.org
Cc: openwebmail@packages.debian.org
Subject: Re: Bug#241823: perl 5.8.3-3 kills openwebmail
Date: Mon, 5 Apr 2004 08:39:25 +1000
reassign 241823 openwebmail
thanks

On Sat, Apr 03, 2004 at 10:04:29AM +0200, Pirate wrote:
>Package: perl 5.8.3-3
>Version: perl 5.8.3-3, libperl 5.8.3-3, other perl packages with version 5.8.3-3
>Severity: normal

[...]
>The new Perl package renders the Openwebmail system unusable!

Welcome to unstable.

suidperl was never intended to be invoked directly.  For security the
script must now be opened by perl (not suidperl).

The openwebmail maintainer simply needs to change all instances of
#!/usr/bin/suidperl to #!/usr/bin/perl.

--bod



Bug reassigned from package `perl' to `openwebmail'. Request was from Brendan O'Dea <bod@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sergio Rua <srua@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pirate <pirate@trendal.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 241823-close@bugs.debian.org (full text, mbox):

From: Sergio Rua <srua@debian.org>
To: 241823-close@bugs.debian.org
Subject: Bug#241823: fixed in openwebmail 2.30-8
Date: Mon, 26 Apr 2004 11:47:20 -0400
Source: openwebmail
Source-Version: 2.30-8

We believe that the bug you reported is fixed in the latest version of
openwebmail, which is due to be installed in the Debian FTP archive:

openwebmail_2.30-8.diff.gz
  to pool/main/o/openwebmail/openwebmail_2.30-8.diff.gz
openwebmail_2.30-8.dsc
  to pool/main/o/openwebmail/openwebmail_2.30-8.dsc
openwebmail_2.30-8_all.deb
  to pool/main/o/openwebmail/openwebmail_2.30-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 241823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergio Rua <srua@debian.org> (supplier of updated openwebmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Apr 2004 16:41:11 +0100
Source: openwebmail
Binary: openwebmail
Architecture: source all
Version: 2.30-8
Distribution: unstable
Urgency: low
Maintainer: Sergio Rua <srua@debian.org>
Changed-By: Sergio Rua <srua@debian.org>
Description: 
 openwebmail - WebMail based on Neomail
Closes: 241823 242102 243685
Changes: 
 openwebmail (2.30-8) unstable; urgency=low
 .
   * After the last change removing suidperl, this bug is unreproducible.
     Closes: #241823
   * Added log rotation. Thanks to Michele Dalla Silvestra. Closes: #243685
   * Added pt_BR debconf translation. Closes: #242102
Files: 
 dd0da39ca821d940ce1a65fff0d22729 601 web optional openwebmail_2.30-8.dsc
 e50c94628430bdbca84ac628808bf844 57306 web optional openwebmail_2.30-8.diff.gz
 fc81b31a7f46317f41e0c992faeed579 5912080 web optional openwebmail_2.30-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAjS/S34nMaoyAGHURAmC5AJ9cgr1hUXMQUcBVLdORQ/RBwDH+9QCfdFcK
ZBGLYcXeYHtd0TOe0AnPEfU=
=G8M3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:12:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.